common_iterator.hpp File Reference

## Classes

struct | ranges::v3::common_iterator< I, S >
struct | ranges::v3::iterator_category< common_iterator< I, S > >
struct | ranges::v3::value_type< common_iterator< I, S > >

## Functions

template<typename I1 , typename I2 , typename S1 , typename S2 , requires = (Sentinel<S1, I2>() && Sentinel<S2, I1>())>
bool | ranges::v3::operator!= (common_iterator< I1, S1 > const &x, common_iterator< I2, S2 > const &y)
template<typename I1 , typename I2 , typename S1 , typename S2 , requires = (SizedSentinel<I1, I2>() && SizedSentinel<S1, I2>() && SizedSentinel<S2, I1>())>
difference_type_t< I2 > | ranges::v3::operator- (common_iterator< I1, S1 > const &x, common_iterator< I2, S2 > const &y)
template<typename I1 , typename I2 , typename S1 , typename S2 , requires = (Sentinel<S1, I2>() && Sentinel<S2, I1>() && !EqualityComparable<I1, I2>())>
bool | ranges::v3::operator== (common_iterator< I1, S1 > const &x, common_iterator< I2, S2 > const &y)